/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * Gprof control interfaces.
 */
#ifndef _NODEOS_IMPL_GPROF_H_
#define _NODEOS_IMPL_GPROF_H_

#ifdef NODEOS_SPEC_COMPAT
#define an_gprofStart an_gprof_start
#define an_gprofStop an_gprof_stop
#endif

void an_gprof_start(const char *kernelname);
void an_gprof_stop(void);

#endif /* _NODEOS_IMPL_GPROF_H_ */
